tellraw @a {"text":"Resetting the map!","color":"red"}
# FIX SPAWN AREA
setblock 2 9 2 minecraft:redstone_block
setblock 2 9 2 minecraft:bedrock
# DELETE SCOREBOARDS
scoreboard objectives remove openChest
scoreboard objectives remove checkCarrot
scoreboard objectives remove rightClick
scoreboard objectives remove Timer
scoreboard objectives remove finishedRoom
scoreboard objectives remove StayStill
scoreboard objectives remove Leave
scoreboard objectives remove AnnoyFriend
scoreboard objectives remove Toss
scoreboard objectives remove ToHex
scoreboard objectives remove ToBin
scoreboard objectives remove ToDec
scoreboard objectives remove Spite
# ADD SCOREBOARDS
scoreboard objectives add openChest minecraft.custom:minecraft.open_chest
scoreboard objectives add checkCarrot dummy
scoreboard objectives add rightClick minecraft.used:minecraft.carrot_on_a_stick
scoreboard objectives add Timer dummy
scoreboard objectives add finishedRoom dummy
scoreboard objectives add StayStill dummy
scoreboard objectives add Leave minecraft.custom:minecraft.leave_game
scoreboard objectives add AnnoyFriend dummy
scoreboard objectives add Toss dummy
scoreboard objectives add ToHex minecraft.crafted:minecraft.bamboo
scoreboard objectives add ToBin minecraft.crafted:minecraft.kelp
scoreboard objectives add ToDec minecraft.crafted:minecraft.sugar_cane
scoreboard objectives add Spite dummy
# SET SCOREBOARDS TO 0
scoreboard players set @a openChest 0
scoreboard players set @a checkCarrot 0
scoreboard players set @a checkCarrot 0
scoreboard players set @a rightClick 0
scoreboard players set @a Timer 0
scoreboard players set @a finishedRoom 0
scoreboard players set @a StayStill 0
scoreboard players set @a Leave 0
scoreboard players set @a AnnoyFriend 0
scoreboard players set @a Toss 0
scoreboard players set @a ToHex 0
scoreboard players set @a ToBin 0
scoreboard players set @a ToDec 0
scoreboard players set @e Drop 0
scoreboard players set @a Spite 0
# ROOM 01 - Fake
setblock -5 15 8 minecraft:air
setblock -5 15 8 minecraft:quartz_block
data remove block -4 13 9 Items
setblock -50 22 4 minecraft:bedrock
setblock -50 22 6 minecraft:bedrock
# ROOM 02 - Steps
setblock -10 28 8 air
setblock -14 30 10 air
setblock -12 32 14 air
data remove block -4 33 15 Items
setblock -5 39 5 minecraft:bedrock
# ROOM 03 - Jump
setblock -29 28 8 air
setblock -35 28 7 air
setblock -44 30 8 air
data remove block -50 31 9 Items
setblock -25 37 5 minecraft:bedrock
# ROOM 04 - Fall
setblock -8 46 8 air
setblock -11 47 7 air
setblock -12 47 8 air
setblock -12 47 6 air
setblock -13 47 7 air
setblock -12 48 7 air
data remove block -24 49 9 Items
clone -24 53 20 -24 53 20 -23 51 20
setblock -22 51 20 minecraft:birch_button[facing=east]
fill -20 49 18 -22 49 22 minecraft:quartz_block
fill -22 45 22 -20 39 18 air
setblock -21 38 20 sea_lantern
setblock -22 33 22 minecraft:bedrock
setblock -23 33 24 minecraft:bedrock
setblock -29 38 17 minecraft:bedrock
fill -23 34 20 -23 35 20 air
setblock -28 35 20 air
fill -24 33 18 -28 33 22 minecraft:quartz_block
setblock -5 55 5 minecraft:bedrock
# ROOM 05 - Pipe
setblock -41 46 8 air
setblock -35 47 11 minecraft:acacia_log[axis=y]
data modify block -39 48 4 Items set value [{Slot:13b,id:"minecraft:stone_pickaxe",Count:1b,tag:{Damage:131,CanDestroy:["minecraft:acacia_log"],display:{Name:'{"italic":"false","text":"Pipe Breaker"}'}}}]
setblock -34 54 4 minecraft:bedrock
setblock -34 54 12 minecraft:bedrock
# ROOM 06 - Buttons
setblock -6 68 6 minecraft:birch_button[facing=south]
setblock -9 63 6 minecraft:birch_button[facing=south]
setblock -6 62 12 minecraft:birch_button[face=floor]
setblock -12 66 11 minecraft:birch_button[facing=east]
setblock -8 62 12 minecraft:birch_button[facing=north]
setblock -9 62 -2 minecraft:bedrock
setblock -11 62 -2 minecraft:bedrock
setblock -13 62 -2 minecraft:bedrock
setblock -15 62 -2 minecraft:bedrock
setblock -17 62 -2 minecraft:bedrock
# ROOM 07 - Path
# ROOM 08 - Clock
fill -42 70 5 -42 70 37 minecraft:bedrock
kill @e[type=minecraft:item_frame]
clone -51 60 3 -51 60 3 -51 60 5
setblock -51 59 5 minecraft:bedrock
setblock -51 60 5 stone
setblock -51 60 9 air
fill -42 70 5 -42 70 37 minecraft:bedrock
setblock -54 70 7 minecraft:bedrock
setblock -53 70 22 minecraft:bedrock
# ROOM 09 - Sequence
setblock -9 77 7 minecraft:birch_button[facing=south]
setblock -9 78 6 black_concrete
setblock -13 75 9 air
setblock -9 77 1 stone
setblock -7 77 3 air
# ROOM 10 - Black
setblock -30 82 7 minecraft:glowstone
setblock -30 82 9 minecraft:glowstone
setblock -30 82 11 minecraft:glowstone
setblock -28 82 7 minecraft:glowstone
setblock -28 82 9 minecraft:glowstone
setblock -28 82 11 minecraft:glowstone
setblock -26 82 7 minecraft:glowstone
setblock -26 82 9 minecraft:glowstone
setblock -26 82 11 minecraft:glowstone
setblock -32 75 9 air
fill -24 85 5 -24 85 21 minecraft:bedrock
# ROOM 11 - Bells
setblock -51 85 5 minecraft:bedrock
setblock -51 75 9 air
fill -43 85 19 -43 85 33 minecraft:bedrock
setblock -54 80 9 minecraft:bedrock
setblock -49 80 2 minecraft:bedrock
setblock -45 79 2 minecraft:bedrock
setblock -40 81 8 minecraft:bedrock
setblock -40 78 10 minecraft:bedrock
setblock -45 84 16 minecraft:bedrock
setblock -46 77 16 minecraft:bedrock
setblock -49 79 16 minecraft:bedrock
clone -50 77 27 -44 83 33 -50 77 6
# ROOM 12 - Flowers
clone -12 102 13 -6 102 13 -12 94 12
clone -12 102 11 -6 102 11 -12 94 6
gamerule doTileDrops false
fill -12 101 14 -6 101 14 minecraft:bedrock
setblock -13 91 9 minecraft:air
# ROOM 13 - Craft
recipe take @a *
clone -32 89 19 -24 89 27 -32 92 5 replace
setblock -28 93 9 minecraft:crafting_table
setblock -24 101 13 minecraft:bedrock
fill -31 92 40 -25 92 34 minecraft:black_concrete
# ROOM 14 - Cage
setblock -68 92 9 air
setblock -67 92 8 air
setblock -53 89 3 minecraft:redstone_block
setblock -56 92 12 minecraft:bedrock
setblock -56 92 14 minecraft:bedrock
setblock -56 97 12 minecraft:bedrock
setblock -56 97 14 minecraft:bedrock
setblock -54 97 14 minecraft:bedrock
# ROOM 15 - Toss
fill -5 123 11 -11 123 11 minecraft:bedrock
kill @e[type=minecraft:item,x=-36,y=117,z=4,dx=7,dy=7,dz=7]
data remove block -11 113 8 Items
data remove block -14 113 8 Items
setblock -13 118 8 air
# ROOM 16 - Loss
setblock -29 125 11 minecraft:bedrock
setblock -33 118 7 air
setblock -30 124 7 minecraft:quartz_block
fill -36 117 4 -30 123 10 air replace lava
setblock -33 117 7 minecraft:quartz_pillar[axis=y]
setblock -30 118 7 minecraft:iron_bars[east=true,north=true,south=true]
setblock -33 125 10 minecraft:bedrock
# ROOM 17 - Friend
data remove block -44 114 12 Items
setblock -56 117 7 minecraft:bedrock
fill -52 116 12 -50 116 12 minecraft:bedrock
setblock -48 114 7 minecraft:bedrock
setblock -45 118 7 minecraft:oak_planks
setblock -46 116 7 minecraft:oak_planks
fill -52 117 4 -46 123 10 air
fill -52 117 10 -46 117 4 water
# ROOM 18 - Memory
setblock -4 115 29 minecraft:bedrock
setblock -4 118 25 minecraft:redstone_wire
setblock -12 121 35 minecraft:bedrock
# ROOM 19 - Reunion
scoreboard objectives remove Drop
setblock -4 115 29 minecraft:bedrock
setblock -12 121 35 minecraft:bedrock
setblock -4 141 37 minecraft:bedrock
setblock -4 141 35 minecraft:bedrock
setblock 1 141 37 minecraft:bedrock
setblock 1 141 35 minecraft:bedrock
setblock -13 147 23 minecraft:bedrock
setblock -12 139 25 air
fill -9 139 29 -9 140 29 minecraft:glowstone
setblock -9 137 30 minecraft:oak_fence
setblock -5 147 21 minecraft:bedrock
setblock -17 147 21 minecraft:bedrock
setblock -9 138 34 minecraft:coarse_dirt
data remove block -9 137 34 Items
# RESPAWN
kill @e[type=!player]
spawnpoint @a 8 12 8
clear @a
gamemode adventure @a
time set 6500t
tag @e remove Stuck
tag @e remove Box
xp set @a 0 levels
summon armor_stand -9 139 44 {Invulnerable:1b,PersistenceRequired:1b,ShowArms:1b,Rotation:[180f],ArmorItems:[{},{id:"leather_leggings",Count:1b,tag:{display:{color:6733780}}},{id:"leather_chestplate",Count:1b,tag:{display:{color:2500134}}},{id:"player_head",Count:1b,tag:{SkullOwner:"nusrachel"}}],HandItems:[{},{}],Pose:{LeftArm:[180f,0f,0f],RightArm:[180f,0f,0f]}}
setblock -9 147 44 minecraft:flower_pot